Skip to main content
GET
/
offering-purchase-intent
Get all offering purchase intents
curl --request GET \
  --url https://api.example.com/offering-purchase-intent
import requests

url = "https://api.example.com/offering-purchase-intent"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/offering-purchase-intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "offeringPurchaseIntentId": "cmVhY3Rpb24vMTIzNA75",
    "offeringId": "cmVhY3Rpb24vMTIzNA75",
    "walletAddress": "0x49a491f024dc14DA7e57705600182Ff51511B07e",
    "customerId": "cm23H3Rpb24vMTIzNA75",
    "payment": {
      "purchaseAmount": 100,
      "tokenAmount": 100.1,
      "purchaseStatus": "COMPLETED",
      "currency": "USD"
    },
    "createdAt": "2025-01-01T00:00:00.000Z",
    "updatedAt": "2025-01-01T00:00:00.000Z"
  }
]

Query Parameters

offeringId
string
required

Response

The offering purchase intents have been successfully retrieved

offeringPurchaseIntentId
string
required

The offering purchase intent ID

Example:

"cmVhY3Rpb24vMTIzNA75"

offeringId
string
required

The offering ID

Example:

"cmVhY3Rpb24vMTIzNA75"

walletAddress
string
required

The wallet address

Example:

"0x49a491f024dc14DA7e57705600182Ff51511B07e"

customerId
string
required

The customer ID

Example:

"cm23H3Rpb24vMTIzNA75"

payment
object
required

The payment

createdAt
string<date-time>
required

The date the offering purchase intent was created

Example:

"2025-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required

The date the offering purchase intent was last updated

Example:

"2025-01-01T00:00:00.000Z"